eth_getTransactionByHash

Network: Ethereum · Mainnet · Chain ID 1 (0x1)

Counts as 1 request. See Request Counting.

Returns the information about a transaction requested by transaction hash.

Parameters

  1. DATA (32 bytes) — Hash of a transaction.

Returns

Object|null — A transaction object, or null when no transaction was found.

FieldTypeDescription
hashDATATransaction hash
nonceQUANTITYSender nonce
fromDATASender address
toDATARecipient address
valueQUANTITYValue transferred (wei)
gasQUANTITYGas provided
gasPriceQUANTITYGas price (wei)
inputDATACall data
blockHashDATABlock hash (null if pending)
blockNumberQUANTITYBlock number (null if pending)
transactionIndexQUANTITYIndex in block (null if pending)

Request

{ "jsonrpc": "2.0", "method": "eth_getTransactionByHash", "params": ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"], "id": 1 }

Response

{ "jsonrpc": "2.0", "id": 1, "result": { "hash": "0x88df...", "from": "0x...", "to": "0x...", "value": "0xde0b6b3a7640000", "blockNumber": "0x134e82a", "gasPrice": "0x3b9aca00" } }

Code Examples

curl -X POST https://ethereum-rpc.blockreq.com/v1/rpc/public \ -H "Content-Type: application/json" \ -d '{"jsonrpc":"2.0","method":"eth_getTransactionByHash","params":["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"],"id":1}'

Try It